export default {
    props: {
        parentItem: {
            type: Object,
            default: () => { }
        },
        theme: String,
        iconSize: Number
    },
    computed: {
        parentName () {
            return this.parentItem.name
        },
        parentTitle () {
            return this.parentItem.meta.title
        },
        children () {
            return this.parentItem.children
        },
        textColor () {
            return this.theme === 'dark' ? '#fff' : '#495060'
        }
    }
}
